package config

type System struct {
	Debug           bool   `mapstructure:"debug" json:"debug" yaml:"debug"`
	Env             string `mapstructure:"env" json:"env" yaml:"env"`
	Host            string `mapstructure:"host" json:"host" yaml:"host"`
	Addr            int    `mapstructure:"addr" json:"addr" yaml:"addr"`
	DbType          string `mapstructure:"db-type" json:"dbType" yaml:"db-type"`
	OssType         string `mapstructure:"oss-type" json:"ossType" yaml:"oss-type"`
	UseMultipoint   bool   `mapstructure:"use-multipoint" json:"useMultipoint" yaml:"use-multipoint"`
	ActivityDomain  string `mapstructure:"activity-domain" json:"activityDomain" yaml:"activity-domain"`
	Schema          string `mapstructure:"schema" json:"schema" yaml:"schema"`
	Jwt_signing_key string `mapstructure:"jwt_signing_key" json:"jwt_signing_key" yaml:"jwt_signing_key"`
	Upload_path     string `mapstructure:"upload_path" json:"upload_path" yaml:"upload_path"`
}
