package utils

import (
	"fmt"
	"github.com/panjf2000/ants/v2"
	"xiaoxiong/internal/global"
)

func InitPool()(*ants.Pool,func())  {

	p, err := ants.NewPool(1000)
	if err!=nil {
		panic(fmt.Sprintf("ants pool 初始化失败,err:%s",err.Error()))
	}

	return p, func() {
		p.Release()
		global.Log.Debug("ants池释放")
	}
}