package cmd

import (
	"fmt"
	"xiaoxiong/internal/global"
	"xiaoxiong/routes"
	"github.com/kataras/iris/v12"
	"github.com/urfave/cli/v2"
)

func init(){
	c = append(c, &cli.Command{
		Name: "server",
		Action: func(c *cli.Context) error {
			app := iris.New()
			routes.Router(app)
			addr := fmt.Sprintf("%s:%d", global.CONFIG.System.Host,global.CONFIG.System.Addr) // 监听端口
			err := app.Run(iris.Addr(addr))
			if err != nil {
				panic(err)
			}
			return nil
		},
	})
}