package global

import (
	"github.com/go-redis/redis"
	"github.com/panjf2000/ants/v2"
	"go.uber.org/zap"
	"gorm.io/gorm"
	"xiaoxiong/config"
)

var (
	GORM   *gorm.DB
	CONFIG config.Config
	Log    *zap.Logger
	Redis  *redis.Client
	GoPool *ants.Pool
)
