package utils

import (
	"crypto/md5"
	"fmt"
	"golang.org/x/crypto/bcrypt"
)

// HashAndSalt 加密密码
func HashAndSalt(pwd []byte) string {
	hash, err := bcrypt.GenerateFromPassword(pwd, bcrypt.MinCost)
	if err != nil {

	}
	return string(hash)
}

// ComparePasswords 验证密码
func ComparePasswords(hashedPwd string, plainPwd []byte) bool {
	byteHash := []byte(hashedPwd)
	err := bcrypt.CompareHashAndPassword(byteHash, plainPwd)
	if err != nil {
		return false
	}
	return true
}

// FromStringGetMd5 以下是MD5 计算的方法
func FromStringGetMd5(hashedPwd string, plainPwd []byte) bool {
	has := md5.Sum(plainPwd)
	str := fmt.Sprintf("%x", has)
	if hashedPwd != str {
		return false
	}
	return true
}
